import Router from '../Common/Router';
export default class ZTE extends Router {
    time: number;
    constructor(host: string, port: number, username: string, password: string);
    private login;
    getSSIDs(): Promise<any>;
    getWlans(): Promise<any>;
    getHosts(): Promise<{
        time: string;
        hostname: any;
        ip: any;
        mac: any;
        vendor: string;
        signal: number;
        rxMbps: number;
        txMbps: number;
        protocol: any;
    }[]>;
    /**
     * Change SSID and Passkey of an Wi-Fi.
     *
     * @param num - The SSID number from 1 to 7
     * @param ssid - The name you want for you SSID
     * @param ssid - The password you want for you SSID
     * @returns The arithmetic mean of `x` and `y`
     *
     * @beta
     */
    changeSSID(num: number, ssid: string, password: string): Promise<boolean>;
}
